﻿.contact-box{
  width: 1200px;
  max-width: 100%;
  display: block;
  margin: 0 auto;
  font-size: 0;
  height: 100vh;
}
.contact-main-box{
  padding: 7% 0;
  display: block;
 
}
.contact-info-form-box,
.contact-info-box{
  width: 50%;
  font-size: 0;
  display: inline-block;
  vertical-align: top;
}
.contact-info-form{
  width: 400px;
  max-width: 100%;
  display: block;
  margin: 0 auto;
}

.contact-info-form li{
  position: relative;
  width: 100%;
  display: block;
  font-size: 18px;
  margin-bottom: 35px;
}

.contact-info-form li input{
  width: 100%;
  line-height: 40px;
  height: 40px;
  border: 0;
  border-bottom: 1px solid #cd723d;
  outline: none;
}
.contact-lable{
  position: absolute;
  top: 5px;
  letter-spacing: 3px;
  font-size: 18px;
}
.contact-lable span{
  color: #ff0000;
}
.contact-textarea textarea{
  width: 100%;
  height: 150px;
  border: 0;
  border-bottom: 1px solid #cd723d;
  outline: none;
  resize: none;
}
.contact-info-form li.button input{
  background-color: #cd723d;
  color: #FFF;
  border: 0;
  font-size: 18px;
  letter-spacing: 2px;
  font-family: "微軟正黑體";
}

.contact-info,
.contact-logo{
  width: 50%;
  display: inline-block;
  vertical-align: bottom;

} 
.contact-info li{
  font-size: 12px;
  letter-spacing: 2px;
}
.contact-info li:nth-child(2){
  padding: 20px 0;
}

.map{
  width: 100%;
  height: 290px;
  display: block;
  margin-top: 85px;
}

#name:focus + label, 
#phone:focus + label, 
#mail:focus + label, 
#textarea:focus + label{
  display: none;
}
/*表單送出*/
.contact-thanks-box{
  width: 100%;
  height: 100vh;
  display: none;
  position: fixed;
  z-index: 9;
  top: 0;
  left: 0;
}
.contact-thanks-box.active{
  -webkit-align-items: center;
          align-items: center;
    -webkit-justify-content: center;
          justify-content: center;
    display: -webkit-flex;
    display:         flex;
}
.contact-thanks{
  background-color:#cd723c;
  position: relative;
  padding: 80px;
  border-radius: 20px;
  z-index: 6;
}
.contact-thanks-p{
  font-size: 26px;
  line-height: 1.6;
  letter-spacing: 2px;
  font-weight: bold;
  color: #FFF;
  display: block;
}
.contact-out{
  width: 20px;
  height: 20px;
  max-width: 100%;
  display: block;
  position: absolute;
  border-radius: 50%;
  border: 1px solid #FFF;
  top: 4%;
  right: 4%;
  cursor: pointer;
}
.contact-out span{
  width: 15px;
  height: 1px;
  background-color: #FFF;
  display: block;
  margin: 0 auto;
  position: relative;
}
.contact-out span:nth-child(1){
  top: 9px;
    left: 0.5px;
    transform: rotate(45deg);
}
.contact-out span:nth-child(2){
    top: 8px;
    left: 0.5px;
    transform: rotate(-45deg);
}
.contact-thanks-mask{
  width: 100%;
  height: 100vh;
  display: block;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1;
  background-color: rgba(0, 0, 0, 0.3);
}
.contact-info-form li.button input{
  cursor: pointer;
}
